net.minecraft.util

## Class IChatComponent.Serializer

- java.lang.Object
- - net.minecraft.util.IChatComponent.Serializer

- All Implemented Interfaces:
    com.google.gson.JsonDeserializer, com.google.gson.JsonSerializer
  Enclosing interface:
    IChatComponent

      public static class IChatComponent.Serializer
      extends java.lang.Object
      implements com.google.gson.JsonDeserializer, com.google.gson.JsonSerializer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IChatComponent.Serializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IChatComponent` | `deserialize(com.google.gson.JsonElement p_150698_1_, java.lang.reflect.Type p_150698_2_, com.google.gson.JsonDeserializationContext p_150698_3_)`
    `static java.lang.String` | `func_150696_a(IChatComponent p_150696_0_)`
    `static IChatComponent` | `func_150699_a(java.lang.String p_150699_0_)`
    `com.google.gson.JsonElement` | `serialize(IChatComponent p_150697_1_, java.lang.reflect.Type p_150697_2_, com.google.gson.JsonSerializationContext p_150697_3_)`
    `com.google.gson.JsonElement` | `serialize(java.lang.Object par1Obj, java.lang.reflect.Type par2Type, com.google.gson.JsonSerializationContext par3JsonSerializationContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IChatComponent.Serializer

          public IChatComponent.Serializer()

  - ### Method Detail

    - #### deserialize

          public IChatComponent deserialize(com.google.gson.JsonElement p_150698_1_,
                                   java.lang.reflect.Type p_150698_2_,
                                   com.google.gson.JsonDeserializationContext p_150698_3_)

      Specified by:
        `deserialize` in interface `com.google.gson.JsonDeserializer`

    - #### serialize

          public com.google.gson.JsonElement serialize(IChatComponent p_150697_1_,
                                              java.lang.reflect.Type p_150697_2_,
                                              com.google.gson.JsonSerializationContext p_150697_3_)

    - #### func_150696_a

          public static java.lang.String func_150696_a(IChatComponent p_150696_0_)

    - #### func_150699_a

          public static IChatComponent func_150699_a(java.lang.String p_150699_0_)

    - #### serialize

          public com.google.gson.JsonElement serialize(java.lang.Object par1Obj,
                                              java.lang.reflect.Type par2Type,
                                              com.google.gson.JsonSerializationContext par3JsonSerializationContext)

      Specified by:
        `serialize` in interface `com.google.gson.JsonSerializer`